package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.vo.CameraListVo;
import com.huimv.guowei.admin.service.ISysCameraService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/admin/cameraBase")
@CrossOrigin
public class SysCameraController {
    @Autowired
    private ISysCameraService cameraService;

    @PostMapping("/list")
    public Result list(@RequestBody CameraListVo cameraListVo) {
        return cameraService.listPage(cameraListVo);
    }

    @PostMapping("/listName")
    public Result listName(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return cameraService.list(httpServletRequest,paramsMap);
    }
}
